﻿@model ARGNSMDCareInst

@{
    string mTrId = "TR_CI" + Model.LineId;
    string mCI_Color = "CI_Color" + Model.LineId;
    string mCI_CT = "CI_CT" + Model.LineId;
    string mCI_CC = "CI_CC" + Model.LineId;
    string mCI_CL2 = "CI_CL2" + Model.LineId;
    string mIsNew = "CI_IsNew" + Model.LineId;

    <tr id='@mTrId'>
        <td style="width:50px">
            <button onclick="DeleteRow('@mTrId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span></button>
            <input type="hidden" id="@Model.LineId" value="@Model.LineId" />
        </td>
        <td><input id='@mCI_Color' class="form-control" value='@Model.U_ColCode' disabled="disabled" onchange="LineWasChanged('@Model.LineId','CI');" /></td>
        <td style="width:120px;"><button onclick="SearchColor('@mCI_Color')" type="button" class="btn btn-primary btn-xs">@MaterialDetail.SC</button></td>
        <td><input id='@mCI_CT' class="form-control" value='@Model.U_CareText' onchange="LineWasChanged('@Model.LineId','CI');" /></td>
        <td><input id='@mCI_CC' class="form-control" value='@Model.U_CareCode' onchange="LineWasChanged('@Model.LineId','CI');" /></td>
        <td><input id='@mCI_CL2' class="form-control" value='@Model.U_CareLbl' onchange="LineWasChanged('@Model.LineId','CI');" /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.MappedUdf != null && Model.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                DictRow.ListUFD1,
                                "FldValue",
                                "Descr", DictRow.Value), new { @Id = "LINEUDF_CI_" + DictRow.UDFName + Model.LineId, @Name = "LINEUDF_CI_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + Model.LineId + "','CI');" })
                        }
                        else
                        {
                            <input id='LINEUDF_CI_@DictRow.UDFName@Model.LineId' name="LINEUDF_CI_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@Model.LineId','CI');" />
                        }
                    </td>
                }
            }
        }
    </tr>
}